> ## Documentation Index
> Fetch the complete documentation index at: https://ayrshare.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 投稿を公開する API: 任意のソーシャルネットワークに投稿 | Ayrshare Docs

> Ayrshare の API 呼び出し 1 回で、Facebook、Instagram、X、LinkedIn、TikTok、YouTube などに投稿できます。パラメータ、コード例、対応メディアをご覧ください。

export const XByoNotice = () => <Info>
  <strong>Targeting X/Twitter?</strong> Starting March 31, 2026, all X operations require your own API credentials. After linking X via OAuth, include these 2 headers in your request:
  <br /><br />
  <code>X-Twitter-OAuth1-Api-Key</code> — Your API Key (Consumer Key)<br />
  <code>X-Twitter-OAuth1-Api-Secret</code> — Your API Key Secret (Consumer Secret)
  <br /><br />
  <strong>One-time setup per Ayrshare account.</strong> You create one X Developer App and reuse the same API Key and Secret across every sub-profile / end-user you link. You do <em>not</em> create a new app per customer.
  <br /><br />
  Not linked yet? See the <a href="/dashboard/connect-social-accounts/x-twitter-byo-keys">full setup guide</a> to connect your X account.
  <br /><br />
  Your keys are never logged or stored by Ayrshare.
</Info>;

export const PlansAvailable = ({plans = [], maxPackRequired}) => {
  let displayPlans = plans;
  if (plans && plans.length === 1) {
    const lowerCasePlan = plans[0].toLowerCase();
    if (lowerCasePlan === "business") {
      displayPlans = ["Launch", "Business", "Enterprise"];
    } else if (lowerCasePlan === "premium") {
      displayPlans = ["Premium", "Launch", "Business", "Enterprise"];
    }
  }
  return <Note>
Available on {displayPlans.length === 1 ? "the " : ""}
{displayPlans.join(", ").replace(/\b\w/g, l => l.toUpperCase())}{" "}
{displayPlans.length > 1 ? "plans" : "plan"}.

{maxPackRequired && <span onClick={() => window.open('https://www.ayrshare.com/docs/additional/maxpack', '_self')} className="flex items-center mt-2 cursor-pointer">
 <span className="px-1.5 py-0.5 rounded text-sm" style={{
    backgroundColor: '#C264B6',
    color: 'white',
    fontSize: '12px'
  }}>
   Max Pack required
 </span>
</span>}
</Note>;
};

export const HeaderAPI = ({noProfileKey, profileKeyRequired}) => <>
    <ParamField header="Authorization" type="string" required>
      <a href="/apis/overview#authorization">API Key</a> of the Primary Profile.
      <br />
      <br />
      Format: <code>Authorization: Bearer API_KEY</code>
    </ParamField>
    {!noProfileKey && (profileKeyRequired ? <ParamField header="Profile-Key" type="string" required>
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField> : <ParamField header="Profile-Key" type="string">
          <a href="/apis/overview#profile-key-format">Profile Key</a> of a User Profile.
          <br />
          <br />
          Format: <code>Profile-Key: PROFILE_KEY</code>
        </ParamField>)}
  </>;

<PlansAvailable plans={["premium"]} maxPackRequired={false} />

<XByoNotice />

あなたやあなたのユーザーが連携しているソーシャルネットワークに投稿を公開します。
User Profiles に投稿を公開したい場合は、詳細を [/profiles endpoint](/apis/profiles/overview) でご覧ください。

[Authorization ヘッダー](/apis/overview#authorization) に `API_KEY` を、User Profile に投稿する場合は `PROFILE_KEY` も必ず追加してください。
API Key は Ayrshare Developer Dashboard の API Key ページで確認できます。

投稿オプションの詳細については [Post API Overview](/apis/post/overview) をご覧ください。

## ヘッダーパラメータ

<HeaderAPI />

## ボディパラメータ

<ParamField body="post" type="string" required>
  platforms パラメータで指定したソーシャルネットワークに送信する投稿テキスト。
  URL やリッチテキストの含め方など、[高度なオプション](/apis/post/overview)はこちらをご覧ください。

  テキストなしで公開するには、空文字列 `""` を送信できます。
</ParamField>

<ParamField body="platforms" type="array" required>
  投稿するソーシャルメディアプラットフォーム。次のいずれかの値を持つ文字列の配列を受け付けます: `bluesky`、`facebook`、`gmb`、`instagram`、`linkedin`、`pinterest`、`reddit`、`snapchat`、`telegram`、`threads`、`tiktok`、`twitter`、または `youtube`。

  注意: Facebook ページには `facebook`、Google Business Profile には `gmb` を使用してください。

  `all` を使用すると、連携されているすべてのソーシャルネットワークに投稿します。また、各ソーシャルネットワークで必須のフィールドを必ず含めてください。
  例: `youtube` が連携されている場合、`youTubeOptions` に `title` を含める必要があります。
</ParamField>

<ParamField body="mediaUrls" type="array">
  投稿に含める画像または動画 URL の配列。詳細は [/media endpoint](/apis/media/overview) をご覧ください。

  URL はセキュアである必要があり、`https://` で始まる必要があります。URL に特殊文字(例: ñ)が含まれる場合は、送信前に特殊文字をエンコードしてください。

  動画は有料プランが必要です。

  [画像および動画の要件](/apis/post/overview#image-%26-video-requirements) と[その他の高度なオプション](/apis/post/overview)はこちらをご覧ください。
</ParamField>

<ParamField body="isVideo" type="boolean" default={false}>
  Ayrshare は URL のファイル拡張子(.mp4)に基づいてメディアタイプを判定しようとします。URL が既知の動画拡張子で終わらない場合(アニメーション GIF など)には、メディアが動画であることを明示的に設定できます。

  詳細は [video extension](/apis/post/overview#video-extension) をご覧ください。
</ParamField>

<ParamField body="scheduleDate" type="string">
  将来の投稿をスケジュールする日時。UTC 日時を受け付けます。

  例えば `YYYY-MM-DDThh:mm:ssZ` 形式を使用し、`2026-07-08T12:30:00Z` のように送信します。
  追加の例は [utctime](https://www.utctime.net/) をご覧ください。

  詳細は [schedule posts](/apis/post/overview#schedule-posts) もご覧ください。
</ParamField>

<ParamField body="validateScheduled" type="boolean" default={true}>
  既定では、スケジュール済み投稿は受け入れ前にメディア要件などの問題について事前検証されます。
  Ayrshare のチェックで問題が見つかると、即座にエラーレスポンスが返され、投稿はスケジュールされません。
  スケジュール日時に到達すると投稿が公開され、その時点で最終的な成功またはエラーレスポンスが Webhook または [/history endpoint](/apis/history/overview) 経由で送信されます。

  この事前検証ステップをスキップするには、`validateScheduled` を `false` に設定します。

  エラーを早期に検出するため、スケジュール済み投稿では検証を有効のままにしておくことを推奨します。
  そうしないと投稿がスケジュールされ、公開時にのみエラーを受け取ることになります。

  詳細は [scheduled webhook actions](/apis/webhooks/actions#scheduled-action) をご覧ください。
</ParamField>

<ParamField body="firstComment" type="object">
  投稿後に自動的に最初のコメントを追加します。詳細は [first comment](/apis/post/overview#first-comment) をご覧ください。
</ParamField>

<ParamField body="disableComments" type="boolean" default={false}>
  投稿のコメントを無効にします。Instagram、LinkedIn、TikTok でのみ利用可能です。
</ParamField>

<ParamField body="shortenLinks" type="boolean" default={false}>
  [Ayrshare のリンク短縮機能](/apis/links/overview) を使用して、すべてのプラットフォームで投稿内のリンクを短縮します。

  https で始まる URL のみが短縮されます。

  リンク短縮には [Max Pack](/additional/maxpack) が必要です。

  [サードパーティのリンク短縮サービス](/apis/links/overview#custom-link-domain) の使用については、こちらをご覧ください。
</ParamField>

<ParamField body="autoSchedule" type="object">
  詳細は [auto-schedule](/apis/auto-schedule/overview) をご覧ください。
</ParamField>

<ParamField body="autoRepost" type="object">
  一定の間隔でコンテンツを複数回自動的に再投稿し、常に新鮮で視認性の高いエバーグリーンなコンテンツを作成します。

  詳細は [auto repost](/apis/post/overview#auto-repost) をご覧ください。
</ParamField>

<ParamField body="autoHashtag" type="object">
  詳細は [auto hashtags](/apis/post/overview#auto-hashtags) をご覧ください。
</ParamField>

<ParamField body="unsplash" type="string">
  詳細は [unsplash](/apis/post/overview#unsplash) をご覧ください。
</ParamField>

<ParamField body="blueskyOptions" type="object">
  [Bluesky details](/apis/post/social-networks/bluesky) をご覧ください。
</ParamField>

<ParamField body="faceBookOptions" type="object">
  [Facebook details](/apis/post/social-networks/facebook) をご覧ください。
</ParamField>

<ParamField body="gmbOptions" type="object">
  [Google Business Profile details](/apis/post/social-networks/google) をご覧ください。
</ParamField>

<ParamField body="instagramOptions" type="object">
  [Instagram details](/apis/post/social-networks/instagram) をご覧ください。
</ParamField>

<ParamField body="linkedInOptions" type="object">
  [LinkedIn details](/apis/post/social-networks/linkedin) をご覧ください。
</ParamField>

<ParamField body="pinterestOptions" type="object">
  [Pinterest details](/apis/post/social-networks/pinterest) をご覧ください。
</ParamField>

<ParamField body="redditOptions" type="object">
  [Reddit details](/apis/post/social-networks/reddit) をご覧ください。
</ParamField>

<ParamField body="snapChatOptions" type="object">
  [Snapchat details](/apis/post/social-networks/snapchat) をご覧ください。
</ParamField>

<ParamField body="telegramOptions" type="object">
  [Telegram details](/apis/post/social-networks/telegram) をご覧ください。
</ParamField>

<ParamField body="threadsOptions" type="object">
  [Threads details](/apis/post/social-networks/threads) をご覧ください。
</ParamField>

<ParamField body="tikTokOptions" type="object">
  [TikTok details](/apis/post/social-networks/tiktok) をご覧ください。
</ParamField>

<ParamField body="twitterOptions" type="object">
  [X/Twitter details](/apis/post/social-networks/x-twitter) をご覧ください。
</ParamField>

<ParamField body="youTubeOptions" type="object">
  [YouTube details](/apis/post/social-networks/youtube) をご覧ください。
</ParamField>

<ParamField body="requiresApproval" type="boolean" default={false}>
  詳細は [approval workflow](/apis/post/overview#approval-workflow) をご覧ください。
</ParamField>

<ParamField body="randomPost" type="boolean" default={false}>
  テスト用に[ランダムな投稿テキストを生成](/quickstart#random-quote) します。`randomPost: true` は `post` フィールドを無視します。
</ParamField>

<ParamField body="randomMediaUrl" type="boolean" default={false}>
  テスト用に[ランダムなメディア画像を生成](/quickstart#random-image) します。`randomMediaUrl: true` は `mediaUrls` フィールドを無視します。
</ParamField>

<ParamField body="idempotencyKey" type="string">
  投稿に関連付けるオプションの一意 ID。重複した ID は拒否されます。詳細は [idempotency](/apis/post/overview#idempotent-posts) をご覧ください。
</ParamField>

<ParamField body="notes" type="string">
  [/history endpoint](/apis/history/overview) 経由で取得可能な投稿のメモを設定します。メモは参照専用であり、投稿には影響しません。
</ParamField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl \
  -H "Authorization: Bearer API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
    "post": "Today is a great day!",
    "platforms": ["twitter", "facebook", "instagram", "linkedin"],
    "mediaUrls": ["https://img.ayrshare.com/012/gb.jpg"]
  }' \
  -X POST https://api.ayrshare.com/api/post
  ```

  ```javascript JavaScript theme={"system"}
  const API_KEY = "API_KEY";

  fetch("https://api.ayrshare.com/api/post", {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
          "Authorization": `Bearer ${API_KEY}`
        },
        body: JSON.stringify({
          post: "Today is a great day!", // required
          platforms: ["bluesky", "facebook", "instagram", "linkedin", "twitter"], // required
          mediaUrls: ["https://img.ayrshare.com/012/gb.jpg"] //optional
        }),
      })
        .then((res) => res.json())
        .then((json) => console.log(json))
        .catch(console.error);
  ```

  ```python Python theme={"system"}
  import requests

  payload = {'post': 'Today is a great day!',
          'platforms': ['bluesky', 'facebook', 'instagram', 'linkedin', 'twitter'],
          'mediaUrls': ['https://img.ayrshare.com/012/gb.jpg']}
  headers = {'Content-Type': 'application/json',
          'Authorization': 'Bearer API_KEY'}

  r = requests.post('https://api.ayrshare.com/api/post',
      json=payload,
      headers=headers)

  print(r.json())
  ```

  ```php PHP theme={"system"}
  <?php

  $curl = curl_init();
  $data = [
      "post" => "Today is a great day!",
      "platforms" => ["bluesky", "facebook", "instagram", "linkedin", "pinterest", "twitter"],
      "mediaUrls" => ["https://img.ayrshare.com/012/gb.jpg"]
  ];

  curl_setopt_array($curl, [
      CURLOPT_URL => 'https://api.ayrshare.com/api/post',
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_POST => true,
      CURLOPT_POSTFIELDS => json_encode($data),
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer API_KEY', // Replace 'API_KEY' with your actual API key
          'Content-Type: application/json'
      ],
  ]);

  $response = curl_exec($curl);
  curl_close($curl);
  echo $response;
  ```

  ```go Go theme={"system"}
  package main

  import (
  	"bytes"
  	"encoding/json"
  	"log"
  	"net/http"
  )

  func main() {
  	message := map[string]interface{}{
  		"post":      "Today is a great day!",
  		"platforms": []string{"bluesky", "facebook", "instagram", "linkedin", "twitter"},
  		"mediaUrls": []string{"https://img.ayrshare.com/012/gb.jpg"}
  	}

  	bytesRepresentation, err := json.Marshal(message)
  	if err != nil {
  		log.Fatalln(err)
  	}

  	req, _ := http.NewRequest("POST", "https://api.ayrshare.com/api/post",
  		bytes.NewBuffer(bytesRepresentation))

  	req.Header.Add("Content-Type", "application/json; charset=UTF-8")
  	req.Header.Add("Authorization", "Bearer API_KEY")

  	res, err := http.DefaultClient.Do(req)
  	if err != nil {
  		log.Fatal("Error:", err)
  	}

  	res.Body.Close()
  }
  ```

  ```csharp C# theme={"system"}
  using System;
  using System.Net.Http;
  using System.Text;
  using System.Threading.Tasks;

  namespace PostPOSTRequest_csharp
  {
    class Post
    {
      private static readonly HttpClient client = new HttpClient();

          static async Task Main(string[] args)
          {
              string API_KEY = "API_KEY";
              string url = "https://api.ayrshare.com/api/post";

              // Set up request headers
              client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

              // Prepare JSON content
              string json = "{\"post\" : \"Today is a great day!\","
                  + "\"platforms\" : [ \"bluesky\", \"facebook\", \"instagram\", \"linkedin\", \"twitter\" ],"
                  + "\"mediaUrls\" : [ \"https://img.ayrshare.com/012/gb.jpg\" ]}";
              var content = new StringContent(json, Encoding.UTF8, "application/json");

              try
              {
                  // Send POST request
                  HttpResponseMessage response = await client.PostAsync(url, content);
                  response.EnsureSuccessStatusCode();

                  // Read response
                  string responseBody = await response.Content.ReadAsStringAsync();
                  Console.WriteLine(responseBody);
              }
              catch (HttpRequestException e)
              {
                  Console.WriteLine($"Error: {e.Message}");
              }
          }
      }
  }
  ```

  ```ruby Ruby theme={"system"}
  require 'httparty'    # gem install httparty

  res = HTTParty.post("https://api.ayrshare.com/api/post",
      headers: {Authorization: "Bearer API_KEY"},
      body: {
          post: "Today is a great day!",
          platforms: ['bluesky', 'facebook', 'instagram', 'linkedin', 'twitter'],
          mediaUrls: ["https://img.ayrshare.com/012/gb.jpg"]
      }).body

  puts res
  ```
</RequestExample>

<ResponseExample>
  ```json 200: Success theme={"system"}
  {
      "status": "success",
      "errors": [],
      "postIds": [
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/bluesky
              "status": "success",
              "id": "at://did:plc:n7atrjd22xgkmgwig6dzlhzd/app.bsky.feed.post/3lez7fwx452", // Bluesky Social Post ID
              "cid": "bafyreie6n475cd3ynr6sfacvohu5qgjibcooxnug6zcbghkwnrwi5stafy",         // Bluesky Content ID
              "postUrl": "https://bsky.app/profile/madworlds.bsky.social/post/3lez7fwx4572",
              "platform": "bluesky"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/facebook
              "status": "success",
              "id": "104923907983682_108329000309742", // Facebook Social Post ID
              "platform": "facebook", 
              "postUrl": "https://www.facebook.com/104923907983682_108329000309742",
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/google
              "status": "success",
              "id": "3837985438581442258", // Google Business Profile Social Post ID
              "postUrl": "https://local.google.com/place?id=5229466225881728772&use=posts&lpsid=CM",
              "type": "localPosts",
              "platform": "gmb"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/instagram
              "status": "success",
              "platform": "instagram", // Instagram Social Post ID
              "id": "17878176260289172",
              "postUrl": "https://www.instagram.com/p/CP1dI9Hp_WO/",
              "usedQuota": 12,
              "contentIssues": {  // Optional — only present when Ayrshare detected and resolved a content issue
                  "originMediaHostFailed": true,
                  "details": ["Media URL could not be retrieved by the social network. Successfully posted using Ayrshare automated media protection."]
              }
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/linkedin
              "status": "success",
              "id": "urn:li:share:7282181682126807041", // LinkedIn Social Post ID
              "postUrl": "https://www.linkedin.com/feed/update/urn:li:share:7282181682126807041",
              "owner": "urn:li:organization:77682157",
              "platform": "linkedin"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/pinterest
              "status": "success",
              "id": "42995371460659062", // Pinterest Social Post ID
              "postUrl": "https://www.pinterest.com/pin/429953714606062/",
              "platform": "pinterest"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/reddit
              "status": "success",
              "id": "1hvdvof", // Reddit Social Post ID
              "postUrl": "https://www.reddit.com/r/test/comments/1hvdvof/reddit_post_title/",
              "platform": "reddit"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/snapchat
              "status": "success",
              "id": "921ed204-e123-5b08-a9ce-zx489f1f38c5",                             // Snapchat Social Post ID 
              "mediaId": "V6noC6UOQgOcABCDEgFZEwAAgd3F0cnp1eWtxZAb9PsH-MXb9PsIWAAAAAA", // Snapchat Media ID
              "postUrl": "https://www.snapchat.com/add/samsmith1920/921ed204-e123-5b08-a9ce-zx489f1f38c5",
              "type": "stories",
              "ended": "2025-05-23T13:04:30.545Z",
              "platform": "snapchat"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/telegram
              "status": "success",
              "id": 635, // Telegram Social Post ID
              "postUrl": "https://t.me/c/1424847122/635",
              "platform": "telegram"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/tiktok
              "status": "success",
              "idShare": "v_pub_url~v2.7456954878846683182",
              "id": "pending", // TikTok Social Post ID - see https://www.ayrshare.com/docs/apis/post/social-networks/tiktok
              "isVideo": true,
              "platform": "tiktok"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/twitter
              "status": "success",
              "id": "1288899996423983105", // X/Twitter Social Post ID
              "platform": "twitter",
              "postUrl": "https://x.com/handle/status/1288899996423983105"
          },
          {
              // Details at https://www.ayrshare.com/docs/apis/post/social-networks/youtube
              "status": "success",
              "id": "3oQeP-kTsbo", // YouTube Social Post ID
              "postUrl": "https://youtu.be/3oQeP-kTo",
              "platform": "youtube"
          }
      ],
      "id": "RhrbDtYh7hdSMc67zC8H"    // Ayrshare Post ID used for delete, analytics, comments, etc.
  }
  ```

  ```json 200: Success for Scheduled theme={"system"}
  {
    "status": "scheduled",
    "scheduleDate": "2023-04-01T10:04:12Z",
    "id": "IUiaqFkQP96UJJXYjRpv", // Ayrshare Post ID used for delete, comment, analytics, etc.
    "refId": "9abf1426d6ce9122effdeeddfdfdfd",
    "post": "Genius is eternal patience. - Michelangelo"
  }
  ```

  ```json 200: Success with Profile Key theme={"system"}
  {
    "status": "success",
    "posts": [
      {
        "status": "success",
        "errors": [],
        "postIds": [
          {
            "status": "success",
            "id": "1869166036466991888",
            "postUrl": "https://twitter.com/wondrouswaffles/status/1869",
            "platform": "twitter"
          },
          {
            "status": "success",
            "id": "106638148652344_601623445855888",
            "postUrl": "https://www.facebook.com/106638148652329/posts/6016",
            "platform": "facebook"
          }
        ],
        "id": "bVQotNtxgXAUmLtqmw2",
        "refId": "b68bdcabb379be2cf1186c1e595449804b232sa",
        "profileTitle": "The Best Profile",
        "post": "Formal education will make you a living. Self education will make you a fortune. - Jim Rohn"
      }
    ]
  }
  ```

  ```json 200: Success Scheduled Post and Profile Key theme={"system"}
  {
    "status": "success",
    "posts": [
      {
        "status": "scheduled",
        "scheduleDate": "2023-04-01T10:04:12Z",
        "id": "qvu8gysraodz2WFZgRX7", // Ayrshare Post ID used for delete, comment, analytics, etc.
        "refId": "9abf1426d6ce9122effdeeddfdfdfd",
        "profileTitle": "Best Profile",
        "post": "I never thought of myself as being handsome or good-looking or whatever. I always felt like an outsider. - Elton John"
      }
    ]
  }
  ```

  ```json 400: Bad Request theme={"system"}
  {
    "status": "error",
    "errors": [
      {
        "action": "post",
        "status": "error",
        "code": 156,
        "message": "Youtube does not seem to be linked with Ayrshare. Please confirm the linkage on the Social Accounts page in your dashboard. .../ayrshare.com/additional-info/troubleshooting",
        "platform": "youtube"
      },
      {
        "action": "post",
        "status": "error",
        "code": 110,
        "message": "Status is a duplicate.",
        "post": "Today is a great day",
        "platform": "twitter"
      }
    ],
    "postIds": [],
    "id": "0OGBzZssN5hxy8dMSRaD" // Ayrshare Post ID used for delete, comment, analytics, etc.
  }
  ```

  ```json 400: Bad Request with Profile Key theme={"system"}
  {
      "status": "error",
      "posts": [
          {
              "status": "error",
              "errors": [
                  {
                      "action": "post",
                      "status": "error",
                      "code": 156,
                      "message": "Instagram is not linked.
                        Please confirm the linkage on the Social Accounts page in the dashboard. https://www.ayrshare.com/docs/help-center/overview",
                      "platform": "instagram"
                  }
              ],
              "postIds": [],
              "id": "ekftQJ0hFB1Fx6bnM33",
              "refId": "9abf1426d6ce9122effdeeddfdfdfd",
              "profileTitle": "Best Profile",
              "post": "The most common way people give up their power is by thinking they don't have any. - Alice Walker"
          }
      ]
  }
  ```

  ```javascript 500: Internal Server Error theme={"system"}
  {
      "status": "error",
      "errors": [
          {
              "action": "post",
              "status": "error",
              "code": 107,
              "message": "Facebook Error: This status update is identical to the last one you posted. Try posting something different, or delete your previous update.",
              "platform": "facebook"
          }
      ],
      "postIds": [],
      "id": "6APU4qqI7XO7JM3BOy6B" // Ayrshare Post ID used for delete, comment, analytics, etc.
  }
  ```
</ResponseExample>
